### Signal

# Gtk IconView::toggle-cursor-item

#### Declaration

    void
    toggle_cursor_item (
      GtkIconView* self,
      gpointer user_data
    )

#### Description [src]

A keybinding signal which gets emitted when the user toggles whether the currently focused item is selected or not. The exact effect of this depend on the selection mode.

Applications should not connect to it, but may emit it with `g_signal_emit_by_name()` if they need to control selection programmatically.

There is no default binding for this signal is Ctrl-Space.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code